Bug 1277388 - (nette/php-generator) Review Request: php-nette-php-generator - Nette PHP Generator
Review Request: php-nette-php-generator - Nette PHP Generator
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
: Reopened
Depends On: nette/tester nette/utils
Blocks: nette/di nette/nette
  Show dependency treegraph
 
Reported: 2015-11-03 03:46 EST by Remi Collet
Modified: 2015-12-05 16:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 02:44:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (7.21 KB, text/plain)
2015-11-15 19:42 EST, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (6.44 KB, text/plain)
2015-11-15 19:42 EST, Shawn Iwinski
no flags Details
fedora-review.txt (6.90 KB, text/plain)
2015-11-15 19:43 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-11-03 03:46:13 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/03c56ccf7379dfc10a42214e5646c6d84f41e792/php/nette/php-nette-php-generator/php-nette-php-generator.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-nette-php-generator-2.3.4-1.remi.src.rpm
Description: 
Generate PHP code with a simple programmatical API.

To use this library, you just have to add, in your project:
  require_once '/usr/share/php/Nette/PhpGenerator/autoload.php';

Fedora Account System Username: remi
Comment 1 Upstream Release Monitoring 2015-11-10 11:59:43 EST
remi's scratch build of php-nette-php-generator-2.3.4-1.remi.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11776431
Comment 2 Shawn Iwinski 2015-11-15 19:42 EST
Created attachment 1094671 [details]
phpcompatinfo-full.log

phpCompatInfo version 4.5.1 DB built Oct 11 2015 19:52:03 CEST
Comment 3 Shawn Iwinski 2015-11-15 19:42 EST
Created attachment 1094672 [details]
phpcompatinfo-lib.log

phpCompatInfo version 4.5.1 DB built Oct 11 2015 19:52:03 CEST
Comment 4 Shawn Iwinski 2015-11-15 19:43 EST
Created attachment 1094673 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1277388
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Shawn Iwinski 2015-11-15 19:44:06 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



No blockers.

===== APPROVED =====
Comment 6 Remi Collet 2015-11-16 00:40:28 EST
Thanks!

New package requested on pkgdb.
Comment 7 Gwyn Ciesla 2015-11-16 09:22:40 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-nette-php-generator
Comment 8 Fedora Update System 2015-11-16 11:21:23 EST
php-nette-php-generator-2.3.4-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-75caf992d7
Comment 9 Fedora Update System 2015-11-16 11:21:29 EST
php-nette-php-generator-2.3.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-171d31d51d
Comment 10 Fedora Update System 2015-11-16 11:21:29 EST
php-nette-php-generator-2.3.4-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d842c4d8ee
Comment 11 Remi Collet 2015-11-16 11:52:23 EST
Closing to unblock next reviews
Comment 12 Fedora Update System 2015-11-17 20:20:37 EST
php-nette-php-generator-2.3.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-nette-php-generator'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-75caf992d7
Comment 13 Fedora Update System 2015-11-18 11:53:05 EST
php-nette-php-generator-2.3.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-nette-php-generator'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-171d31d51d
Comment 14 Fedora Update System 2015-11-18 17:19:00 EST
php-nette-php-generator-2.3.4-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-nette-php-generator'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-0209110b15
Comment 15 Fedora Update System 2015-11-18 19:22:51 EST
php-nette-php-generator-2.3.4-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-nette-php-generator'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d842c4d8ee
Comment 16 Fedora Update System 2015-11-26 15:58:55 EST
php-nette-php-generator-2.3.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-11-26 22:56:04 EST
php-nette-php-generator-2.3.4-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-12-05 15:29:23 EST
php-nette-php-generator-2.3.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2015-12-05 16:41:53 EST
php-nette-php-generator-2.3.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.